<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html">acl</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html">MockMimeResponseSink</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::acl::test::MockMimeResponseSink Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html">alexaClientSDK::acl::test::MockMimeResponseSink</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#adcf3d303778df5c47d4dd27ea98f7e6f">getCountOfMimeParts</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html">alexaClientSDK::acl::test::MockMimeResponseSink</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#a7ccbc413cd213d8b4c42a77656a83030">getMimePart</a>(unsigned part)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html">alexaClientSDK::acl::test::MockMimeResponseSink</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#ae1576d11e0fb708f8bcec6fa03ff38a3">MockMimeResponseSink</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html">alexaClientSDK::acl::test::MockMimeResponseSink</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#a3ac99d80743484568d57e3e0b44af594">onBeginMimePart</a>(const std::multimap&lt; std::string, std::string &gt; &amp;headers) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html">alexaClientSDK::acl::test::MockMimeResponseSink</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#ab667924a84983b56622b343fcb1bb6f9">onEndMimePart</a>() override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html">alexaClientSDK::acl::test::MockMimeResponseSink</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#a53181028bd57ff289e15db1dea18caaa">onReceiveHeaderLine</a>(const std::string &amp;line) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html">alexaClientSDK::acl::test::MockMimeResponseSink</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#a498a1bc466eaca65378dc8b90e955c57">onReceiveMimeData</a>(const char *bytes, size_t size) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html">alexaClientSDK::acl::test::MockMimeResponseSink</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#ab6f273e3a315a538d3eb75f0760993aa">onReceiveNonMimeData</a>(const char *bytes, size_t size) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html">alexaClientSDK::acl::test::MockMimeResponseSink</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#a70fb176df84f1e2f573c62ca7c203a0f">onReceiveResponseCode</a>(long responseCode) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html">alexaClientSDK::acl::test::MockMimeResponseSink</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#ae329cf1e7bb1e1c11501557f6f0763b1">onResponseFinished</a>(avsCommon::utils::http2::HTTP2ResponseFinishedStatus status) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html">alexaClientSDK::acl::test::MockMimeResponseSink</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_response_sink_interface.html#a6aa1d8bb6ad4e05731509ba180772a64">~HTTP2MimeResponseSinkInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_response_sink_interface.html">alexaClientSDK::avsCommon::utils::http2::HTTP2MimeResponseSinkInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#a18ff578ef1913d7fc44895c54f367b7b">~MockMimeResponseSink</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html">alexaClientSDK::acl::test::MockMimeResponseSink</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
